import privateApi from "../http/privateCall.axios";

export async function getAllTransferTeam() {
  return await privateApi
    .get("/transfer-team/get/all/teams")
    .then((res) => res.data);
}
export async function getAllTransferTeamAllMembers() {
  return await privateApi
    .get("/transfer-team/get/all/members")
    .then((res) => res.data);
}

export async function getSingleTransferTeam(id: string) {
  return await privateApi
    .get(`/transfer-team/get/single/team/${id}`)
    .then((res) => res.data);
}

export async function createTransferTeam(data) {
  return await privateApi
    .post(`/transfer-team/create`, data)
    .then((res) => res.data);
}
export async function updateTransferTeam(id: string, data) {
  return await privateApi
    .put(`/transfer-team/update/${id}`, data)
    .then((res) => res.data);
}

export async function deleteTransferTeam(id: string) {
  return await privateApi
    .delete(`/transfer-team/delete/${id}`)
    .then((res) => res.data);
}
